#!/usr/bin/make -f

#export DH_VERBOSE = 1
#export DEB_BUILD_MAINT_OPTIONS = hardening=+all
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@

override_dh_auto_install:
	install -D testssl.sh debian/testssl.sh/usr/bin/testssl

override_dh_installchangelogs:
	dh_installchangelogs CHANGELOG.md

override_dh_auto_test:
	# Disable test cases since it needs to connect to badssl.com, smtp-relay.gmail.com.
	# prove -v

override_dh_fixperms:
	dh_fixperms
	chmod -x debian/testssl.sh/etc/testssl/tls_data.txt
